package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 会议状态(0.等待中,1.进行中,2.已结束)枚举类
*
* @author zxfei
*/
public enum MeetStatusEnum {
    等待中(0, "等待中"),
    进行中(1, "进行中"),
    已结束(2, "已结束");
    private Integer value;
    private String desc;

    MeetStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MeetStatusEnum getByValue(Integer value) {
        for (MeetStatusEnum meetStatusEnum : MeetStatusEnum.values()) {
            if (meetStatusEnum.getValue() == value) {
                return meetStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MeetStatusEnum item : MeetStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}